Help! Scenes are broken!

1 sentence description of the problem: you can’t see new scenes on a older version of hopscotch (3.54.2)

Steps to reproduce the problem every time, starting in a blank draft:

  1. Create a new scene on a new version
  2. Place a couple objects & code
  3. Switch to the new scene— it will go blank

I expected this to happen: go to the correct scene

But instead this happened: it went blank

Screenshots/video:





Your username: Pumpki

Device type, iOS version & Hopscotch version:
Device: iPad11,1
iOS Version: 15.7
App Version: 3.54.2
Build: 6944
Player Version: 2.1.3
User ID: 3507178
Username: Pumpki

5 Likes

I’m gonna update, so it’s fixed

4 Likes

I wouldn’t expect you to be able to, because the new scene viewer doesn’t exist in the old app version. Doesn’t seem to me like it’s a bug with HS.

Let us know if the issue persists after updating the app

4 Likes

The issue is fixed— it’s only for the users on an older version

That will be bad for those who won’t/can’t update their device.

3 Likes

ok cool, so then it’s not a bug

2 Likes

I think there may be a bug — just to clarify @Liquid was this the issue?

On the older version:

  • create a new project
  • create a new scene and have code to change to that scene
  • play the project
  • the screen goes white when changing to the new scene

This might mean that the webplayer is not properly supporting older projects that don’t have the new scenes blocks. So we will need to take a look.

Do you have a project link that I can check?

1 Like

I tested on an older version (3.54.2) and it still let me create a new scene and change to that scene.

https://files.catbox.moe/hauwdl.MP4

Maybe it is some other factors that are leading to the project going white. It might be helpful if we could see the code for changing scenes^^

1 Like

It just changes the scene from an old one, to the newer version. It goes blank when it goes to a scene created from the new version

2 Likes

I brought this up with the team. We could add a notice saying “you need to upgrade to see this project”, to stop people from editing projects made on newer versions.

But it means that people on older versions won’t be able to play projects made on older versions either. So we decided to leave it as it is — I will close this for now.

2 Likes

This topic was automatically closed after 3 days. New replies are no longer allowed.